SessionCache (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.modules.session.catalina, interface: SessionCache

Package org.apache.geode.modules.session.catalina

# Interface SessionCache

All Known Implementing Classes:
  `AbstractSessionCache`, `ClientServerSessionCache`, `PeerToPeerSessionCache`

public interface SessionCache

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `destroySession(String sessionId)`
  `GemFireCache`
  `getCache()`
  `boolean`
  `getDefaultEnableLocalCache()`
  `String`
  `getDefaultRegionAttributesId()`
  `Region<String,jakarta.servlet.http.HttpSession>`
  `getOperatingRegion()`
  `String`
  `getOperatingRegionName()`
  `jakarta.servlet.http.HttpSession`
  `getSession(String sessionId)`
  `Region<String,jakarta.servlet.http.HttpSession>`
  `getSessionRegion()`
  `org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics`
  `getStatistics()`
  `void`
  `initialize()`
  `boolean`
  `isBackingCacheAvailable()`
  `boolean`
  `isClientServer()`
  `boolean`
  `isPeerToPeer()`
  `Set<String>`
  `keySet()`
  `void`
  `putSession(org.apache.catalina.Session session)`
  `int`
  `size()`
  `void`
  `touchSessions(Set<String> sessionIds)`

- ## Method Details

  - ### initialize

    void initialize()

  - ### getDefaultRegionAttributesId

    String getDefaultRegionAttributesId()

  - ### getDefaultEnableLocalCache

    boolean getDefaultEnableLocalCache()

  - ### getOperatingRegionName

    String getOperatingRegionName()

  - ### putSession

    void putSession(org.apache.catalina.Session session)

  - ### getSession

    jakarta.servlet.http.HttpSession getSession(String sessionId)

  - ### destroySession

    void destroySession(String sessionId)

  - ### touchSessions

    void touchSessions(Set<String> sessionIds)

  - ### getStatistics

    org.apache.geode.modules.session.catalina.internal.DeltaSessionStatistics getStatistics()

  - ### getCache

    GemFireCache getCache()

  - ### getSessionRegion

    Region<String,jakarta.servlet.http.HttpSession> getSessionRegion()

  - ### getOperatingRegion

    Region<String,jakarta.servlet.http.HttpSession> getOperatingRegion()

  - ### isPeerToPeer

    boolean isPeerToPeer()

  - ### isClientServer

    boolean isClientServer()

  - ### keySet

    Set<String> keySet()

  - ### size

    int size()

  - ### isBackingCacheAvailable

    boolean isBackingCacheAvailable()